| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Lost Server

Lost Server Definitions and Methods. More...

## Classes
struct | unsp__CreateLostServerRequest
| Create Lost Server request. More...
struct | unsp__CreateLostServerResult
| Create Lost Server result. More...
struct | unsp__ModifyLostServerRequest
| Modify Lost Server request. More...
struct | unsp__ModifyLostServerResult
| Modify Lost Server result. More...
struct | unsp__RemoveLostServerRequest
| Delete Lost Server request. More...
struct | unsp__RemoveLostServerResult
| Delete a Lost Server entry. More...
struct | unsp__QueryLostServerRequest
| Query Lost Server request. More...
struct | unsp__LocationServicesList
| List of Location Service entries. More...
struct | unsp__LostServerDataEntry
| Lost Server data entry that holds the actual Lost Server data. More...
struct | unsp__LostServerList
| List of Lost Server entries. More...
struct | unsp__QueryLostServerResult
| Query Lost Server result. More...
struct | unsp__CheckLostStatusResult
| Check LoST server Operational Status result. More...
struct | unsp__CheckLostStatusRequest
| Check Lost Operational Status request. More...

## Enumerations
enum | unsp__LostProtocol { LostProtocolUndefined = -1, LostProtocolHttps = 0, LostProtocolHttp = 1 }
| The type of protocol for a Lost Server. More...
enum | unsp__LostStatus { LostServerStatusNormal = 0, LostServerStatusCommunicationLost = 1, LostServerStatusInaccessible = 2, LostServerStatusPending = 3 }
| The type of Lost Server Operational Status. More...
enum | unsp__LostServerSortType { LostServerSortTypeNone, LostServerSortTypeName }
| Allows sorting by Lost Server name. More...

## Functions
int | unsp__CreateLostServer (struct unsp__CreateLostServerRequest CreateLostServerRequest, struct unsp__CreateLostServerResult *CreateLostServerResult)
| Creates a Lost Server. More...
int | unsp__ModifyLostServer (struct unsp__ModifyLostServerRequest ModifyLostServerRequest, struct unsp__ModifyLostServerResult *ModifyLostServerResult)
| Modifies a Lost Server. More...
int | unsp__RemoveLostServer (struct unsp__RemoveLostServerRequest RemoveLostServerRequest, struct unsp__RemoveLostServerResult *RemoveLostServerResult)
| Deletes a Lost Server. More...
int | unsp__QueryLostServer (struct unsp__QueryLostServerRequest QueryLostServerRequest, struct unsp__QueryLostServerResult *QueryLostServerResult)
| Queries a list of LOST Servers. More...
int | unsp__CheckLostStatus (struct unsp__CheckLostStatusRequest CheckLostStatusRequest, struct unsp__CheckLostStatusResult *CheckLostStatusResult)
| Checks an Lost Operational Status. More...

## Detailed Description

Lost Server Definitions and Methods.

## Enumeration Type Documentation

## ◆ unsp__LostProtocol

enum unsp__LostProtocol

The type of protocol for a Lost Server.

Enumerator
LostProtocolUndefined | Undefined protocol.
LostProtocolHttps | HTTPS protocol - default.
LostProtocolHttp | HTTP protocol.

## ◆ unsp__LostServerSortType

enum unsp__LostServerSortType

Allows sorting by Lost Server name.

Enumerator
LostServerSortTypeName | No sorting.

## ◆ unsp__LostStatus

enum unsp__LostStatus

The type of Lost Server Operational Status.

Enumerator
LostServerStatusNormal | Normal.
LostServerStatusCommunicationLost | Communication Lost.
LostServerStatusInaccessible | Inaccessible.
LostServerStatusPending | Pending.

## Function Documentation

## ◆ unsp__CheckLostStatus()

unsp__CheckLostStatus | ( | struct unsp__CheckLostStatusRequest | CheckLostStatusRequest,
|  | struct unsp__CheckLostStatusResult * | CheckLostStatusResult
| ) |  |

Checks an Lost Operational Status.

Parameters

  CheckLostStatusRequest | API request
  CheckLostStatusResult | API result

## ◆ unsp__CreateLostServer()

unsp__CreateLostServer | ( | struct unsp__CreateLostServerRequest | CreateLostServerRequest,
|  | struct unsp__CreateLostServerResult * | CreateLostServerResult
| ) |  |

Creates a Lost Server.

Allows the provisioning of Lost Servers. The maximum number of LoST server allowed in the system is 6.

Parameters

  CreateLostServerRequest | API request
  CreateLostServerResult | API result MP2 command: CLOSTSERVER [Attributes]

## ◆ unsp__ModifyLostServer()

unsp__ModifyLostServer | ( | struct unsp__ModifyLostServerRequest | ModifyLostServerRequest,
|  | struct unsp__ModifyLostServerResult * | ModifyLostServerResult
| ) |  |

Modifies a Lost Server.

All fields are modifiable apart from Lost Server Name which is used to identify the entry to be modified
MP2 command: MLOSTSERVER [Attributes]

Parameters

  ModifyLostServerRequest | API request
  ModifyLostServerResult | API result

## ◆ unsp__QueryLostServer()

unsp__QueryLostServer | ( | struct unsp__QueryLostServerRequest | QueryLostServerRequest,
|  | struct unsp__QueryLostServerResult * | QueryLostServerResult
| ) |  |

Queries a list of LOST Servers.

Parameters

  QueryLostServerRequest | API request
  QueryLostServerResult | API result

## ◆ unsp__RemoveLostServer()

unsp__RemoveLostServer | ( | struct unsp__RemoveLostServerRequest | RemoveLostServerRequest,
|  | struct unsp__RemoveLostServerResult * | RemoveLostServerResult
| ) |  |

Deletes a Lost Server.

Parameters

  RemoveLostServerRequest | API request
  RemoveLostServerResult | API result MP2 command: DLOSTSERVER [Attributes]